获取 bookingCurrency
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取可用于 Microsoft Bookings 业务的 bookingCurrency 对象的属性。 使用 id 属性(即货币代码)指定货币。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Bookings.Read.All、BookingsAppointment.ReadWrite.All、Bookings.ReadWrite.All、Bookings.Manage.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
不支持。
HTTP 请求
GET /bookingCurrencies/{id}
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
名称
说明
Authorization
Bearer {code}
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 bookingCurrency 对象。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/bookingCurrencies/USD
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var bookingCurrency = await graphClient.BookingCurrencies["{bookingCurrency-id}"]
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let bookingCurrency = await client.api('/bookingCurrencies/USD')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/bookingCurrencies/USD"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
MSGraphBookingCurrency *bookingCurrency = [[MSGraphBookingCurrency alloc] initWithData:data error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
BookingCurrency bookingCurrency = graphClient.bookingCurrencies("USD")
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
bookingCurrencyId := "bookingCurrency-id"
result, err := graphClient.BookingCurrenciesById(&bookingCurrencyId).Get()
Import-Module Microsoft.Graph.Bookings
Get-MgBookingCurrency -BookingCurrencyId $bookingCurrencyId
响应
这是一个示例响应。注意:为提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#bookingCurrencies/$entity",
"id": "USD",
"symbol": "$"
}